#REM /* use noscript class instead of noscript tags to provide content if scripting is disabled */ #ENDREM
document.documentElement.className += " script";
#REM /* setup jQuery defaults */ #ENDREM
jQueryConfig = {
    depend:{
        jsonp:                   false,
        pluginRoot:              '#System.StoreRoot[js]/lib',
        i18nRoot:                '#System.StoreRoot[js]/lib/ep/i18n',
        tmplRoot:                '#System.StoreRoot[js]/lib',
        dictRoot:                '#System.StoreRoot[js]/lib'
    },
    i18n:{
        region:                  '#INPUT.Locale'.replace(/_/,'-'), //convert en_GB to en-GB for javascript
        currency:                [
	    	'#INPUT.CurrencyID',
			#IF(#User.CurrencyID)
	    		'#User.CurrencyID',
	    	#ENDIF
	    	#IF(#LENGTH(#Site.CurrencyID))
	    		'#Site.CurrencyID',
	    	#ENDIF
	    	'#INPUT.CurrencyID'
	    ]
    },
    dict:{
        region:                  '#INPUT.Language'
    },
    storage:{
        namespace:               '#StoreName[0]#Site.ID'+'::'
    },
    ajax: {
         fileSizeMax:            #IF(#WebInterfaceConf.MAXCONTENTLENGTH) #WebInterfaceConf.MAXCONTENTLENGTH #ELSE 5120 #ENDIF * 1024
    },
    metaparse: {
    	autoparse:               true
    },
    mime: {
        groups: {
            'image/*':           'image/png,image/jpeg,image/jpg,image/gif,image/vnd.microsoft.icon,image/x-icon,image/x-win-bitmap',
            'document/*':        'application/pdf,application/msword,application/vnd.ms-excel,application/rtf,application/vnd.openxmlformats-officedocument.wordprocessingml.document,application/vnd.openxmlformats-officedocument.spreadsheetml.sheet',
            'audio/*':           'audio/mpeg,audio/x-ms-wma,audio/ogg,audio/flac,audio/x-ms-wma',
            'video/*':           'video/x-msvideo,video/mp4,video/mpeg,video/x-ms-wmv,video/x-flv'
        }
    },
    noConflict: 'jq'
};
#REM /* setup ep defaults */ #ENDREM
epConfig = {
    version:                     '#System.EpagesVersion',
    webRoot:                     '#WebRoot[js]',
    storeName:                   '#StoreName[js]',
    storeWebRoot:                '#WebRoot[js]/#StoreName[js]',
    storeRoot:                   '#System.StoreRoot[js]',
    storeTypeRoot:               '#System.StoreRoot[js]',
    javascriptRoot:              '#System.StoreRoot[js]/lib',
    siteRoot:                    '#Site.WebPath[js]',
    siteId:                      '#Site.ID',
    siteGuid:                    '#Site.GUID',
    iconsRoot:                   '#System.StoreRoot[js]/BO/icons',
    maxContentLength:            '#WebInterfaceConf.MAXCONTENTLENGTH',
    debugLevel:                  #DebugLevel[js],
    languageId:                  '#INPUT.LanguageID',
    language:                    '#INPUT.Language'
};