-- #109
CREATE TABLE amazonsubmitfeedqueue (
     amazonsubmitfeedqueueid integer  not null AUTO_INCREMENT
,    portalconfigid       integer  not null
,    xmlmessagesnippet    longtext  not null
,    messagetype          varchar(100)  not null
,    feedtype             varchar(100)  not null
,    operationtype        varchar(100)  null
,    amazonofferid        integer  null

,   constraint pk_amazonsubmitfeedqueue         primary key (amazonsubmitfeedqueueid)
,   constraint fk_amazonsubmitfeedqueue_portalconfigid foreign key (portalconfigid)
        references portalconfig                     (portalconfigid)
,   constraint fk_amazonsubmitfeedqueue_amazonofferid foreign key (amazonofferid)
        references amazonoffer                      (amazonofferid)
)
GO
CREATE INDEX i_amazonsubmitfeedqueue_portalconfigid_feedtype_amazonofferid ON amazonsubmitfeedqueue (portalconfigid, feedtype, amazonofferid)
GO

CREATE INDEX i_amazonsubmitfeedqueue_amazonofferid ON amazonsubmitfeedqueue (amazonofferid)
GO
